## nomarch 1.3-2

=== debian/changelog ===
nomarch (1.3-2) unstable; urgency=low

  * Update to standrads version 3.6.1. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sun, 29 Feb 2004 20:41:48 +1300

nomarch (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sun, 24 Nov 2002 23:52:49 +1300

nomarch (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Matthew Grant <grantma@anathoth.gen.nz>  Thu, 16 May 2002 17:09:55 +1200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/nomarch.sgml > nomarch.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/nomarch.
	install -m 755 nomarch $(CURDIR)/debian/nomarch/usr/bin
	install -m 644 nomarch.1 $(CURDIR)/debian/nomarch/usr/share/man/man1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nomarch 1.3-3

=== Makefile ===
# Makefile - makefile for nomarch

CC=gcc
CFLAGS=-O2 -Wall

# Set BINDIR to directory for binary,
# MANDIR to directory for man page.
# Usually it will be simpler to just set PREFIX.
#
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man/man1

# You shouldn't need to edit below this line.
#--------------------------------------------------------

OBJ=main.o readrle.o readhuff.o readlzw.o

all: nomarch

nomarch: $(OBJ)
	$(CC) $(CFLAGS) -o nomarch $(OBJ)

installdirs:
	/bin/sh ./mkinstalldirs $(BINDIR) $(MANDIR)

install: nomarch installdirs
	install -m 755 nomarch $(BINDIR)
	install -m 644 nomarch.1 $(MANDIR)

uninstall:
	$(RM) $(BINDIR)/nomarch $(MANDIR)/nomarch.1

clean:
	$(RM) *.o *~ nomarch


# stuff to make distribution tgz

VERS=1.3

tgz: ../nomarch-$(VERS).tar.gz
  
../nomarch-$(VERS).tar.gz: clean
	@cd ..;ln -s nomarch nomarch-$(VERS)
	cd ..;tar zchvf nomarch-$(VERS).tar.gz nomarch-$(VERS)
	@cd ..;$(RM) nomarch-$(VERS)

=== debian/changelog ===
nomarch (1.3-3) unstable; urgency=low

  * Updated debhelper compatibility version in debian/rules to 4 from 3. 

 -- Matthew Grant <grantma@anathoth.gen.nz>  Sun, 19 Feb 2006 02:40:30 +0000

=== debian/control ===
Source: nomarch
Section: utils
Priority: optional
Maintainer: Matthew Grant <grantma@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: nomarch
Architecture: any
Depends: ${shlibs:Depends}
Description: Unpacks .ARC and .ARK MS-DOS archives 
 This is a de-archiving only replacement for the arc archiver from SEA.  It 
 can handle pkarc archives, as well as others.  It can also be used with
 emacs - see the nomarch manpage.
 .
 This package is very useful for E-Mail virus scanner scripts for attachement
 unpacking.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4

## nomarch 1.4

=== debian/changelog ===
nomarch (1.4-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007615)
  * d/copyright: Convert to machine-readable format

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 18:19:14 +0000

nomarch (1.4-5) unstable; urgency=medium

  * Add build-arch debian/rules target (Closes: #999245)
  * Fixed typo in package description (Closes: #390089)

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 07 Feb 2022 13:57:03 +1300

nomarch (1.4-4) unstable; urgency=medium

  * Fix build to not use the build architecture compiler. (Closes: #864552)
  * Source only upload.
  * Bump compat level to 10

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 23 Sep 2020 11:14:39 +1200

nomarch (1.4-3) unstable; urgency=low

  * Update standards version to 3.8.3. 

 -- Matthew Grant <matthewgrant5@gmail.com>  Sat, 03 Oct 2009 19:27:11 +1300

nomarch (1.4-2) unstable; urgency=low

  * Update the maintainer email address to my new email address.
  * Update standards version to 3.8.0.

 -- Matthew Grant <matthewgrant5@gmail.com>  Mon, 29 Dec 2008 13:35:28 +1300

nomarch (1.4-1) unstable; urgency=low

  * New upstream version that fixes a hang bug in lzw reading, 
    and removes cruft from documentation about Unisys

 -- Matthew Grant <grantma@anathoth.gen.nz>  Wed, 06 Feb 2008 05:16:19 +0000

=== debian/control ===
Source: nomarch
Section: utils
Priority: optional
Maintainer: Matthew Grant <matt@mattgrant.net.nz>
Build-Depends: debhelper (>> 7.0.0)
Standards-Version: 3.8.3

Package: nomarch
Architecture: any
Depends: ${shlibs:Depends}
Description: Unpacks .ARC and .ARK MS-DOS archives 
 This is a de-archiving only replacement for the arc archiver from SEA.  It 
 can handle pkarc archives, as well as others.  It can also be used with
 emacs - see the nomarch manpage.
 .
 This package is very useful for E-Mail virus scanner scripts for attachment
 unpacking.

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
-
-
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -25,13 +20,13 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build-arch: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	dh_auto_build
 	#/usr/bin/docbook-to-man debian/nomarch.sgml > nomarch.1
 
 	touch build-stamp
@@ -42,19 +37,25 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/nomarch.
 	install -m 755 nomarch $(CURDIR)/debian/nomarch/usr/bin
 	install -m 644 nomarch.1 $(CURDIR)/debian/nomarch/usr/share/man/man1
+
+# Target for pakcaging requirements
+build: build-arch build-indep
+
+build-indep:
+	/bin/true
 
 # Build architecture-independent files here.
 binary-indep: build install
